Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenChildLabelNode

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenChildContainer, GenChildNode, GenCommonBase, GenContainerBase, GenLinkEnd, GenNode, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenChildLabelNodeImpl

    public interface GenChildLabelNode

extends GenChildNode

A representation of the model object 'Gen Child Label Node'. Child node represented by label; typically hosted by list compartment

The following features are supported:

- `Label Read Only`
- `Label Element Icon`
- `Label Model Facet`

See Also:
  `GMFGenPackage.getGenChildLabelNode()`
** Generated **
Model:

Field Summary

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenNode
`CLASS_NAME_PREFIX, CREATE_COMMAND_SUFFIX, GRAPHICAL_NODE_EDIT_POLICY_SUFFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContainerBase
`CANONICAL_EDIT_POLICY_SUFFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase
`DEFAULT_CLASS_NAME_PREFIX, EDIT_PART_SUFFIX, ITEM_SEMANTIC_EDIT_POLICY_SUFFIX, NOTATION_VIEW_FACTORY_SUFFIX`

Method Summary
`org.eclipse.emf.common.util.EList<org.eclipse.emf.codegen.ecore.genmodel.GenFeature>` `getLabelMetaFeatures()` Returns structural features that provide label content
`LabelModelFacet` `getLabelModelFacet()` Returns the value of the 'Label Model Facet' containment reference
`boolean` `isLabelElementIcon()` Returns the value of the 'Label Element Icon' attribute
`boolean` `isLabelReadOnly()` Returns the value of the 'Label Read Only' attribute
`void` `setLabelElementIcon(boolean value)` Sets the value of the '`Label Element Icon`' attribute
`void` `setLabelModelFacet(LabelModelFacet value)` Sets the value of the '`Label Model Facet`' containment reference
`void` `setLabelReadOnly(boolean value)` Sets the value of the '`Label Read Only`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenChildNode
`getContainers, getDiagram`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenNode

`getCompartments, getCreateCommandClassName, getCreateCommandQualifiedClassName, getDomainMetaClass, getGraphicalNodeEditPolicyClassName, getGraphicalNodeEditPolicyQualifiedClassName, getLabels, getModelFacet, getPrimaryDragEditPolicyQualifiedClassName, getReorientedIncomingLinks, setCreateCommandClassName, setGraphicalNodeEditPolicyClassName, setModelFacet, setPrimaryDragEditPolicyQualifiedClassName`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenChildContainer
`getChildNodes`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenContainerBase
`getAssistantNodes, getCanonicalEditPolicyClassName, getCanonicalEditPolicyQualifiedClassName, getContainedNodes, needsCanonicalEditPolicy, setCanonicalEditPolicyClassName`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase

`getBehaviour, getBehaviour, getClassNamePrefix, getClassNameSuffux, getDiagramRunTimeClass, getEditPartClassName, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryQualifiedClassName, getStyles, getUniqueIdentifier, getViewmap, getVisualID, isSansDomain, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenLinkEnd
`getGenIncomingLinks, getGenOutgoingLinks`

Method Detail

### isLabelReadOnly

    boolean isLabelReadOnly()

  Returns the value of the 'Label Read Only' attribute.

  If the meaning of the 'Label Read Only' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Label Read Only' attribute.
  See Also:
    `setLabelReadOnly(boolean)`, `GMFGenPackage.getGenChildLabelNode_LabelReadOnly()`
  ** Generated **
  Model:

### setLabelReadOnly

    void setLabelReadOnly(boolean value)

  Sets the value of the '`Label Read Only`' attribute.

  Parameters:
    `value` - the new value of the 'Label Read Only' attribute.
  See Also:
    `isLabelReadOnly()`
  ** Generated **

### isLabelElementIcon

    boolean isLabelElementIcon()

  Returns the value of the 'Label Element Icon' attribute.

  If the meaning of the 'Label Element Icon' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Label Element Icon' attribute.
  See Also:
    `setLabelElementIcon(boolean)`, `GMFGenPackage.getGenChildLabelNode_LabelElementIcon()`
  ** Generated **
  Model:

### setLabelElementIcon

    void setLabelElementIcon(boolean value)

  Sets the value of the '`Label Element Icon`' attribute.

  Parameters:
    `value` - the new value of the 'Label Element Icon' attribute.
  See Also:
    `isLabelElementIcon()`
  ** Generated **

### getLabelModelFacet

    LabelModelFacet getLabelModelFacet()

  Returns the value of the 'Label Model Facet' containment reference. If model facet is not specified then custom parser should be provided for the label

  Returns:
    the value of the 'Label Model Facet' containment reference.
  See Also:
    `setLabelModelFacet(LabelModelFacet)`, `GMFGenPackage.getGenChildLabelNode_LabelModelFacet()`
  ** Generated **
  Model:
    containment="true"

### setLabelModelFacet

    void setLabelModelFacet(LabelModelFacet value)

  Sets the value of the '`Label Model Facet`' containment reference.

  Parameters:
    `value` - the new value of the 'Label Model Facet' containment reference.
  See Also:
    `getLabelModelFacet()`
  ** Generated **

### getLabelMetaFeatures

    org.eclipse.emf.common.util.EList<org.eclipse.emf.codegen.ecore.genmodel.GenFeature> getLabelMetaFeatures()

  Returns structural features that provide label content

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.